### Function

# Dex subprocess_wait_check

since: 0.4

#### Declaration [src]

    DexFuture*
    dex_subprocess_wait_check (
      GSubprocess* subprocess
    )

#### Description [src]

Creates a future that awaits for `subprocess` to complete using `g_subprocess_wait_check_async()`.

Available since: 0.4

#### Parameters

`subprocess`

  Type: `GSubprocess`

  A `GSubprocess`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that will resolve when `subprocess` exits cleanly or reject upon signal or non-successful exit.

The caller of the function takes ownership of the data, and is responsible for freeing it.